<?php 
$link = get_permalink( $post->ID );
$args  = array( 'postid' => $post->ID, 'width' => 800, 'height' => 533, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '800auto' );
$image = get_obox_media( $args );

if(is_page()) : 
	$date = get_option("ocmx_meta_date_page");
	$authorlink = get_option("ocmx_meta_authorlink_page");
	$authorblock = get_option("ocmx_meta_authorblock_page");
	$social = get_option("ocmx_meta_social_page");
else:
	$date = get_option("ocmx_meta_date_post");
	$authorlink = get_option("ocmx_meta_authorlink_post");
	$authorblock = get_option("ocmx_meta_authorblock_post");
	$tags = get_option("ocmx_meta_tags_post");
	$social = get_option("ocmx_meta_social_post");
	$category = get_option("ocmx_meta_category_post");
endif; 

?>
<li id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>		
	<div class="post-title-block">
		<?php if($date != "false" || $authorlink != "false" || $category !="false") : ?>
			<h5 class="dater">
				<?php 
				// Hide the date unless enabled in Theme Options
				if(isset($date) && $date != "false" ) {
					echo the_time(get_option('date_format'));
				} 
				
				//Hide the author unless enabled in Theme Options
				if(isset($authorlink) && $authorlink != "false" ) {
					_e(" written by ", "ocmx"); the_author_posts_link(); 
				}
				
				//Hide the category unless enabled in Theme Options
				if(isset($category) && $category != "false" ) {
					_e(" in ",'ocmx'); the_category(", ",'ocmx'); 
				}
				?> 
			</h5>
		<?php endif; ?>

		<!--Show the title -->
		<h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
	</div>
	<?php if( $image != "" ) : // Show the Featured Image if this is a post ?> 
		<div class="post-image fitvid"> 
			<?php echo $image; ?>
		</div>
	<?php endif; ?>

	<!--Get the Content -->
	<div class="copy clearfix">
		<?php the_content(); ?>
	</div>
	
	<ul class="post-meta"> 
		<?php if(isset($tags) && $tags != "false" ) : // Show tags if enabled in Theme Options ?>
			<li class="meta-block">
				<ul class="tags">
					<?php the_tags('<li>','</li><li>','</li>'); ?>
				</ul>
			</li>
		<?php endif; ?>

		<?php if( get_option("ocmx_social_tag") !="" ) : ?>
			<span class="social"><?php echo get_option("ocmx_social_tag"); ?></span> 
		<?php elseif(isset($social) && $social != "false" ) : // Show sharing if enabled in Theme Options ?>
			<li class="meta-block social">
				<!-- AddThis Button BEGIN : Customize at http://www.addthis.com -->
				<div class="addthis_toolbox addthis_default_style ">
					<a class="addthis_button_facebook_like"></a>
					<a class="addthis_button_tweet"></a>
					<a class="addthis_counter addthis_pill_style"></a>
				</div>
				<script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=xa-507462e4620a0fff"></script>
				<!-- AddThis Button END -->
			</li>
		<?php endif; ?>         
	</ul>
	
	<!-- Begin Author Block -->
	<?php if($authorblock != "false" ): ?>         
		<?php global $show_author; ?>
		<div class="post-author clearfix">
			<?php echo get_avatar( get_the_author_meta('email'), "80" ); ?>
			<div class="author_text">
				<h4>About the Author, <?php the_author_posts_link(); ?></h4>
				<p><?php the_author_meta('description'); ?></p>
			</div>
		</div>
	<?php endif; ?>
</li>